Show / Hide Table of Contents

# Struct hkaAnimation

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct hkaAnimation

### Fields

| Improve this Doc View Source

#### AnnotationTracks

##### Declaration

    public hkArray<hkaAnnotationTrack> AnnotationTracks

##### Field Value

Type | Description
--- | ---
hkArray<hkaAnnotationTrack> |

| Improve this Doc View Source

#### Duration

##### Declaration

    public float Duration

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ExtractedMotion

##### Declaration

    public hkRefPtr<hkaAnimatedReferenceFrame> ExtractedMotion

##### Field Value

Type | Description
--- | ---
hkRefPtr<hkaAnimatedReferenceFrame> |

| Improve this Doc View Source

#### hkReferencedObject

##### Declaration

    public hkReferencedObject hkReferencedObject

##### Field Value

Type | Description
--- | ---
hkReferencedObject |

| Improve this Doc View Source

#### NumberOfFloatTracks

##### Declaration

    public int NumberOfFloatTracks

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### NumberOfTransformTracks

##### Declaration

    public int NumberOfTransformTracks

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Type

##### Declaration

    public hkaAnimation.AnimationType Type

##### Field Value

Type | Description
--- | ---
hkaAnimation.AnimationType |